#include "FxCyanF.hpp"

// C++ system level
// #include <cstring>     // memset, strncmp
// #include <cstdlib>     // TODO: is this for memcpy?
// #include <functional>

// ESP32 specific
#include "esp_log.h"

// project specific
#include <Types.hpp>
#include "SiliconTorch/NVSExplorer.hpp"

// qthing stuff
// #include <qthing>



namespace SiliconTorch {

  namespace Service {

    void FxCyanF::init() {
      setName("FxCyanF");
      setNameSpace("fxCyan");  // TODO: "FxCyanF"
    }

    void FxCyanF::start() {
      ESP_LOGW(getName().c_str(), "Starting service[ %s ] with order[ %d ]  *WHOOP* *WHOOP*", getName().c_str(), getStartOrder());
    }

    void FxCyanF::stop() {
      ESP_LOGW(getName().c_str(), "Stopping service[ %s ]  *sad service noises*", getName().c_str());
    }

    // str name() { return "FxCyanF"; }
    // str nameSpace() { return "fxCyan"; }  // TODO: "FxCyanF"


  }
}
